Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F168369080
D8052.id20750.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
663 B
Referenced Files
None
Subscribers
None
D8052.id20750.diff
View Options
Index: usr.sbin/portsnap/portsnap/portsnap.sh
===================================================================
--- usr.sbin/portsnap/portsnap/portsnap.sh
+++ usr.sbin/portsnap/portsnap/portsnap.sh
@@ -696,10 +696,17 @@
# Move files into their proper locations
rm -f tag INDEX tINDEX
rm -rf files
+ mkdir files
+ cut -f 2 -d '|' tINDEX.new INDEX.new | sort | uniq |\
+ sed -E 's?(.*)?snap/\1.gz?' | xargs -J % mv % files/ || return 1
+ if [ -n "$(ls -1A snap/)" ]; then
+ echo "Unexpected files in snapshot ${SNAPSHOTHASH}"
+ return 1
+ fi
+ rmdir snap/
mv tag.new tag
mv tINDEX.new tINDEX
mv INDEX.new INDEX
- mv snap/ files/
return 0
}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Aug 28, 7:49 PM (8 h, 56 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
37480612
Default Alt Text
D8052.id20750.diff (663 B)
Attached To
Mode
D8052: portsnap: only move expected snapshot contents from snap/ to files/
Attached
Detach File
Event Timeline
Log In to Comment